<?xml version = "1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"><xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
 <xsl:template match="/">
  <HTML>
   <HEAD>
    <TITLE>Example using XSL</TITLE>
	  <style type="text/css">
		body {
    	  font: normal 11px auto "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
	  	  color: #4f6b72;
		  }
		tr.alt{
		  background: #F5FAFA;
		  color: #797268;
		  }
		a {
		  color: #c75f3e;
			}
		table {
		  padding: 0;
		  margin: 0;
          border-collapse: collapse; 
          }
		th {
		  font: bold 11px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
		  color: #4f6b72;
		  border-left: 1px solid #C1DAD7;
		  border-right: 1px solid #C1DAD7;
		  border-bottom: 1px solid #C1DAD7;
		  border-top: 1px solid #C1DAD7;
		  letter-spacing: 2px;
		  text-transform: uppercase;
		  text-align: left;
		  padding: 6px 6px 6px 12px;
		  background: #CAE8EA url(images/bg_header.jpg) repeat-x; 
		  }
		td {
		  border-right: 1px solid #C1DAD7;
		  border-bottom: 1px solid #C1DAD7;
		  padding: 6px 6px 6px 12px;
          color: #4f6b72;
		  font: bold 11px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
		  }
		td.center{
          text-align: center;
		  }
		td.right{
          text-align: right;
		  }
		td.alt {
		  background: #F5FAFA;
		  color: #797268;
			}
		tr.alt th {
		  border-left: 1px solid #C1DAD7;
		  border-top: 0;
		  background: #f5fafa url(images/bullet2.gif) no-repeat;
          font: bold 10px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
		  color: #797268;
			}
		tbody th{
		  font: bold 10px "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif;
		  border-left: 1px solid #C1DAD7;
		  border-top: 0;
		  background: #fff url(images/bullet1.gif) no-repeat; 
		  }
		thead th{
		  text-align: center
		  }
		thead th:first-child {
		  text-align: left
		  }
	  </style>
   </HEAD>
   <BODY>
    <h1>Example of XSL template matching</h1>

    <table id="table" width="100%" class="sample">
     <thead><tr> <xsl:apply-templates select="THINGS/HEADER"/> </tr></thead>
     <xsl:apply-templates select="THINGS/THING"/>
    </table>
   </BODY>
  </HTML>
 </xsl:template>

	<xsl:template match="HEADER">
    	<th scope="col"  valign="top"><xsl:apply-templates /></th>
	</xsl:template>

	<xsl:template match="THING">
    	<tr>
			<xsl:attribute name="class"><xsl:choose><xsl:when test="position() mod 2 = 1">alt</xsl:when><xsl:when test="position() mod 2 = 0">normal</xsl:when></xsl:choose></xsl:attribute><xsl:apply-templates />
		</tr>
	</xsl:template>

	<xsl:template match="NAME">
    	<th scope="row" valign="top"><xsl:apply-templates /></th>
	</xsl:template>

	<xsl:template match="STOCK">
    	<td valign="top" class="center"><xsl:apply-templates /></td>
	</xsl:template>

	<xsl:template match="PRICE">
    	<td valign="top"  class="right"><xsl:apply-templates /></td>
	</xsl:template>

	<xsl:template match="text()">
		<xsl:value-of select="." />
	</xsl:template>

</xsl:stylesheet>